#include <iostream>
#include <cmath>
#include <limits.h>
using namespace std;

int main()
{
    long long int n, x, k, kPoz, kPozMax=LLONG_MIN, kNeg, kNegMax1=LLONG_MAX, rez, kNegMax;
    cin>>n>>x;
    for(int i=0; i<n; i++)
        {
            cin>>k;
            if(k>=x)
            {
                kPoz=k-x;
                if(kPoz>kPozMax)
                {
                    kPozMax=kPoz;
                }
            }
            else
            {
                kNeg=k-x;
                if(kNeg<kNegMax1)
                {
                    kNegMax1=kNeg;
                }
            }
        }

    kNegMax=abs(kNegMax1);
    if(kPozMax>=kNegMax)
    {
        if(kNegMax==0)
        {
            rez= kPozMax;
        }
        else
        {
            rez= 2*kNegMax + kPozMax;
        }
    }
    else
    {
        if(kPozMax==0)
        {
            rez= kNegMax;
        }
        else
        {
            rez= 2*kPozMax + kNegMax;
        }
    }
    cout<<rez<<endl;
    return 0;
}